import request from '@/utils/request'

// 查询受攻击IPTOP5列表
export function listTop5(query) {
  return request({
    url: '/tcZz/networkSecurity/top5/list',
    method: 'get',
    params: query
  })
}

// 查询受攻击IPTOP5详细
export function getTop5(id) {
  return request({
    url: '/tcZz/networkSecurity/top5/' + id,
    method: 'get'
  })
}

// 新增受攻击IPTOP5
export function addTop5(data) {
  return request({
    url: '/tcZz/networkSecurity/top5',
    method: 'post',
    data: data
  })
}

// 修改受攻击IPTOP5
export function updateTop5(data) {
  return request({
    url: '/tcZz/networkSecurity/top5',
    method: 'put',
    data: data
  })
}

// 删除受攻击IPTOP5
export function delTop5(id) {
  return request({
    url: '/tcZz/networkSecurity/top5/' + id,
    method: 'delete'
  })
}
